/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-02-03
 * 描述            ：材质标准表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Api.Qms.vo;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;

public class ComMscStdPhy extends BaseVO implements Serializable {
	/** 
	 * 材质标准索引号
	 */ 

	private String pic;
	public String  getPic() {
		return this.pic;
	}
	public void setPic(String pic) {
		this.pic = pic;
	}

	/** 
	 * 序号
	 */ 
	
	private Long index_seq;
	public Long  getIndex_seq() {
		return this.index_seq;
	}
	public void setIndex_seq(Long index_seq) {
		this.index_seq = index_seq;
	}

	/** 
	 * 材质检验项代码（大类）
	 */ 

	private String phy_code_l;
	public String  getPhy_code_l() {
		return this.phy_code_l;
	}
	public void setPhy_code_l(String phy_code_l) {
		this.phy_code_l = phy_code_l;
	}

	/** 
	 * 材质检验项名称（大类）
	 */ 
	
	private String phy_name_l;
	public String  getPhy_name_l() {
		return this.phy_name_l;
	}
	public void setPhy_name_l(String phy_name_l) {
		this.phy_name_l = phy_name_l;
	}

	/** 
	 * 试样组代码
	 */ 
	
	private String phy_code_m;
	public String  getPhy_code_m() {
		return this.phy_code_m;
	}
	public void setPhy_code_m(String phy_code_m) {
		this.phy_code_m = phy_code_m;
	}

	/** 
	 * 试样组名称
	 */ 
	
	private String phy_name_m;
	public String  getPhy_name_m() {
		return this.phy_name_m;
	}
	public void setPhy_name_m(String phy_name_m) {
		this.phy_name_m = phy_name_m;
	}

	/** 
	 * 材质检验项代码
	 */ 
	
	private String phy_code_s;
	public String  getPhy_code_s() {
		return this.phy_code_s;
	}
	public void setPhy_code_s(String phy_code_s) {
		this.phy_code_s = phy_code_s;
	}

	/** 
	 * 材质检验项名称
	 */ 
	
	private String phy_name_s;
	public String  getPhy_name_s() {
		return this.phy_name_s;
	}
	public void setPhy_name_s(String phy_name_s) {
		this.phy_name_s = phy_name_s;
	}

	/** 
	 * 试验方向代码
	 */ 
	
	private String item_code_d;
	public String  getItem_code_d() {
		return this.item_code_d;
	}
	public void setItem_code_d(String item_code_d) {
		this.item_code_d = item_code_d;
	}

	/** 
	 * 试验方向描述
	 */ 
	
	private String item_name_d;
	public String  getItem_name_d() {
		return this.item_name_d;
	}
	public void setItem_name_d(String item_name_d) {
		this.item_name_d = item_name_d;
	}

	/** 
	 * 试验温度代码
	 */ 
	
	private String item_code_t;
	public String  getItem_code_t() {
		return this.item_code_t;
	}
	public void setItem_code_t(String item_code_t) {
		this.item_code_t = item_code_t;
	}

	/** 
	 * 试验温度描述
	 */ 
	
	private String item_name_t;
	public String  getItem_name_t() {
		return this.item_name_t;
	}
	public void setItem_name_t(String item_name_t) {
		this.item_name_t = item_name_t;
	}

	/** 
	 * 试样尺寸代码
	 */ 
	
	private String item_code_s;
	public String  getItem_code_s() {
		return this.item_code_s;
	}
	public void setItem_code_s(String item_code_s) {
		this.item_code_s = item_code_s;
	}

	/** 
	 * 试样尺寸描述
	 */ 
	
	private String item_name_s;
	public String  getItem_name_s() {
		return this.item_name_s;
	}
	public void setItem_name_s(String item_name_s) {
		this.item_name_s = item_name_s;
	}

	/** 
	 * 交货状态代码集合(多个交货状态中间用" ,"进行隔离)
	 */ 

	private String delivery_state_code;
	public String  getDelivery_state_code() {
		return this.delivery_state_code;
	}
	public void setDelivery_state_code(String delivery_state_code) {
		this.delivery_state_code = delivery_state_code;
	}

	/** 
	 * 交货状态描述集合(多个交货状态中间用" ,"进行隔离)
	 */ 
	
	private String delivery_state_desc;
	public String  getDelivery_state_desc() {
		return this.delivery_state_desc;
	}
	public void setDelivery_state_desc(String delivery_state_desc) {
		this.delivery_state_desc = delivery_state_desc;
	}

	/** 
	 * 分组索引号(同一分组的为多选一项)
	 */ 
	
	private String group_seq;
	public String  getGroup_seq() {
		return this.group_seq;
	}
	public void setGroup_seq(String group_seq) {
		this.group_seq = group_seq;
	}

	/** 
	 * 报出结果数
	 */ 
	
	private Long result_count;
	public Long  getResult_count() {
		return this.result_count;
	}
	public void setResult_count(Long result_count) {
		this.result_count = result_count;
	}

	/** 
	 * 是否检验()1:是，0：否)
	 */ 
	
	private String ischeck;
	public String  getIscheck() {
		return this.ischeck;
	}
	public void setIscheck(String ischeck) {
		this.ischeck = ischeck;
	}

	/** 
	 * 是否判定()1:是，0：否)
	 */ 

	private String isjudge;
	public String  getIsjudge() {
		return this.isjudge;
	}
	public void setIsjudge(String isjudge) {
		this.isjudge = isjudge;
	}

	/** 
	 * 是否报出()1:是，0：否)
	 */ 
	
	private String isquote;
	public String  getIsquote() {
		return this.isquote;
	}
	public void setIsquote(String isquote) {
		this.isquote = isquote;
	}

	/** 
	 * 是否是复合标准项(1:是,0:不是)(标准值通过公式进行计算)
	 */ 
	
	private String phy_type;
	public String  getPhy_type() {
		return this.phy_type;
	}
	public void setPhy_type(String phy_type) {
		this.phy_type = phy_type;
	}

	/** 
	 * 复合标准公式
	 */ 

	private String phy_formula;
	public String  getPhy_formula() {
		return this.phy_formula;
	}
	public void setPhy_formula(String phy_formula) {
		this.phy_formula = phy_formula;
	}

	/** 
	 * 标准范围下限符号
	 */ 
	
	private String stdmin_sign;
	public String  getStdmin_sign() {
		return this.stdmin_sign;
	}
	public void setStdmin_sign(String stdmin_sign) {
		this.stdmin_sign = stdmin_sign;
	}

	/** 
	 * 标准范围下限
	 */ 

	private String stdmin;
	public String  getStdmin() {
		return this.stdmin;
	}
	public void setStdmin(String stdmin) {
		this.stdmin = stdmin;
	}

	/** 
	 * 标准范围上限符号
	 */ 
	
	private String stdmax_sign;
	public String  getStdmax_sign() {
		return this.stdmax_sign;
	}
	public void setStdmax_sign(String stdmax_sign) {
		this.stdmax_sign = stdmax_sign;
	}

	/** 
	 * 标准范围上限
	 */ 

	private String stdmax;
	public String  getStdmax() {
		return this.stdmax;
	}
	public void setStdmax(String stdmax) {
		this.stdmax = stdmax;
	}

	/** 
	 * 判定依据(A:最小值,B:最大值,C:平均值,D:逐项值判)
	 */ 
	
	private String judge_basis;
	public String  getJudge_basis() {
		return this.judge_basis;
	}
	public void setJudge_basis(String judge_basis) {
		this.judge_basis = judge_basis;
	}

	/** 
	 * 扣型代码(集合)
	 */ 

	private String model_code;
	public String  getModel_code() {
		return this.model_code;
	}
	public void setModel_code(String model_code) {
		this.model_code = model_code;
	}

	/** 
	 * 扣型描述(集合)
	 */ 
	
	private String model_desc;
	public String  getModel_desc() {
		return this.model_desc;
	}
	public void setModel_desc(String model_desc) {
		this.model_desc = model_desc;
	}

	/** 
	 * 标准备注
	 */ 
	
	private String stdmemo;
	public String  getStdmemo() {
		return this.stdmemo;
	}
	public void setStdmemo(String stdmemo) {
		this.stdmemo = stdmemo;
	}

	/** 
	 * 限制规格代码
	 */ 
	
	private String size_code2;
	public String  getSize_code2() {
		return this.size_code2;
	}
	public void setSize_code2(String size_code2) {
		this.size_code2 = size_code2;
	}

	/** 
	 * 限制规格描述(外径、壁厚、径壁比)
	 */ 
	
	private String size_name2;
	public String  getSize_name2() {
		return this.size_name2;
	}
	public void setSize_name2(String size_name2) {
		this.size_name2 = size_name2;
	}

	/** 
	 * 限制规格下限符号
	 */ 

	private String size_min_sign2;
	public String  getSize_min_sign2() {
		return this.size_min_sign2;
	}
	public void setSize_min_sign2(String size_min_sign2) {
		this.size_min_sign2 = size_min_sign2;
	}

	/** 
	 * 限制规格下限
	 */ 
	
	private String size_min2;
	public String  getSize_min2() {
		return this.size_min2;
	}
	public void setSize_min2(String size_min2) {
		this.size_min2 = size_min2;
	}

	/** 
	 * 限制规格上限符号
	 */ 

	private String size_max_sign2;
	public String  getSize_max_sign2() {
		return this.size_max_sign2;
	}
	public void setSize_max_sign2(String size_max_sign2) {
		this.size_max_sign2 = size_max_sign2;
	}

	/** 
	 * 限制规格上限
	 */ 
	
	private String size_max2;
	public String  getSize_max2() {
		return this.size_max2;
	}
	public void setSize_max2(String size_max2) {
		this.size_max2 = size_max2;
	}

	/** 
	 * 限制规格代码
	 */ 
	
	private String size_code;
	public String  getSize_code() {
		return this.size_code;
	}
	public void setSize_code(String size_code) {
		this.size_code = size_code;
	}

	/** 
	 * 限制规格描述(外径、壁厚等)
	 */ 
	
	private String size_name;
	public String  getSize_name() {
		return this.size_name;
	}
	public void setSize_name(String size_name) {
		this.size_name = size_name;
	}

	/** 
	 * 限制规格下限符号
	 */ 
	
	private String size_min_sign;
	public String  getSize_min_sign() {
		return this.size_min_sign;
	}
	public void setSize_min_sign(String size_min_sign) {
		this.size_min_sign = size_min_sign;
	}

	/** 
	 * 限制规格下限
	 */ 
	
	private String size_min;
	public String  getSize_min() {
		return this.size_min;
	}
	public void setSize_min(String size_min) {
		this.size_min = size_min;
	}

	/** 
	 * 限制规格上限符号
	 */ 
	
	private String size_max_sign;
	public String  getSize_max_sign() {
		return this.size_max_sign;
	}
	public void setSize_max_sign(String size_max_sign) {
		this.size_max_sign = size_max_sign;
	}

	/** 
	 * 限制规格上限
	 */ 

	private String size_max;
	public String  getSize_max() {
		return this.size_max;
	}
	public void setSize_max(String size_max) {
		this.size_max = size_max;
	}

	/** 
	 * 接箍规格代码(接箍专用，与外径壁厚只允许存在其一)
	 */ 

	private String spec_jg;
	public String  getSpec_jg() {
		return this.spec_jg;
	}
	public void setSpec_jg(String spec_jg) {
		this.spec_jg = spec_jg;
	}

	/** 
	 * 接箍规格描述
	 */ 

	private String spec_jg_desc;
	public String  getSpec_jg_desc() {
		return this.spec_jg_desc;
	}
	public void setSpec_jg_desc(String spec_jg_desc) {
		this.spec_jg_desc = spec_jg_desc;
	}

	/** 
	 * 创建人
	 */ 
	
	private String create_name;
	public String  getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	
	private String update_name;
	public String  getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 删除人
	 */ 
	
	private String delete_name;
	public String  getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 删除时间
	 */ 
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date  getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

	/** 
	 * 有效标志(1:有效，0:无效)
	 */ 
	
	private String validflag;
	public String  getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 条件项(1:符合标准时,0:不符合标准时)
	 */ 
	
	private String addcondition;
	public String  getAddcondition() {
		return this.addcondition;
	}
	public void setAddcondition(String addcondition) {
		this.addcondition = addcondition;
	}

	/** 
	 * 附加标准项代码（4070）
	 */ 
	
	private String addstdcon_code;
	public String  getAddstdcon_code() {
		return this.addstdcon_code;
	}
	public void setAddstdcon_code(String addstdcon_code) {
		this.addstdcon_code = addstdcon_code;
	}

	/** 
	 * 附加标准下限符号
	 */ 
	
	private String addstd_min_sign;
	public String  getAddstd_min_sign() {
		return this.addstd_min_sign;
	}
	public void setAddstd_min_sign(String addstd_min_sign) {
		this.addstd_min_sign = addstd_min_sign;
	}

	/** 
	 * 附加标准下限值
	 */ 

	private String addstd_min;
	public String  getAddstd_min() {
		return this.addstd_min;
	}
	public void setAddstd_min(String addstd_min) {
		this.addstd_min = addstd_min;
	}

	/** 
	 * 附加标准上限符号
	 */ 

	private String addstd_max_sign;
	public String  getAddstd_max_sign() {
		return this.addstd_max_sign;
	}
	public void setAddstd_max_sign(String addstd_max_sign) {
		this.addstd_max_sign = addstd_max_sign;
	}

	/** 
	 * 附加标准上限值
	 */ 
	
	private String addstd_max;
	public String  getAddstd_max() {
		return this.addstd_max;
	}
	public void setAddstd_max(String addstd_max) {
		this.addstd_max = addstd_max;
	}

	/** 
	 * 百分比(0-100)
	 */ 
	
	private Long addpercent;
	public Long  getAddpercent() {
		return this.addpercent;
	}
	public void setAddpercent(Long addpercent) {
		this.addpercent = addpercent;
	}

	/** 
	 * 标准范围下限符号(二)
	 */ 
	
	private String stdmin_sign2;
	public String  getStdmin_sign2() {
		return this.stdmin_sign2;
	}
	public void setStdmin_sign2(String stdmin_sign2) {
		this.stdmin_sign2 = stdmin_sign2;
	}

	/** 
	 * 标准范围下限(二)
	 */ 
	
	private String stdmin2;
	public String  getStdmin2() {
		return this.stdmin2;
	}
	public void setStdmin2(String stdmin2) {
		this.stdmin2 = stdmin2;
	}

	/** 
	 * 标准范围上限符号(二)
	 */ 
	
	private String stdmax_sign2;
	public String  getStdmax_sign2() {
		return this.stdmax_sign2;
	}
	public void setStdmax_sign2(String stdmax_sign2) {
		this.stdmax_sign2 = stdmax_sign2;
	}

	/** 
	 * 标准范围上限(二)
	 */ 
	
	private String stdmax2;
	public String  getStdmax2() {
		return this.stdmax2;
	}
	public void setStdmax2(String stdmax2) {
		this.stdmax2 = stdmax2;
	}

	/** 
	 * 标准选择分类(4071），二套标准情况下的选择分类
	 */ 
	
	private String std_choose;
	public String  getStd_choose() {
		return this.std_choose;
	}
	public void setStd_choose(String std_choose) {
		this.std_choose = std_choose;
	}

	/** 
	 * 值来源于表COM_MSC_PHY_STD_NOTE中的GUID字段
	 */ 
	
	private String guid;
	public String  getGuid() {
		return this.guid;
	}
	public void setGuid(String guid) {
		this.guid = guid;
	}

	/** 
	 * 是否坯样热处理 0否，1是
	 */ 
	
	private String billet_sample;
	public String  getBillet_sample() {
		return this.billet_sample;
	}
	public void setBillet_sample(String billet_sample) {
		this.billet_sample = billet_sample;
	}

	/** 
	 * 试样类型集合(多个试样类型用" ,"进行分隔)
	 */ 

	private String sample_style;
	public String  getSample_style() {
		return this.sample_style;
	}
	public void setSample_style(String sample_style) {
		this.sample_style = sample_style;
	}

}
